$colorPrimary: #c03440;

.course-search-list-item {
    display: flex;
    flex-direction: row;
    border: 1px solid #ccc;
    border-radius: 6px;
    .course-item {
        width: 90px;
        height: 140px;
        object-fit: none; /* Do not scale the image */
        object-position: center; /* Center the image within the element */
    }

    .course-name-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        .course-name {
            color: $colorPrimary;
            font-size: 22px;
            font-weight: bold;
        }
    }

    .course-content-container {
        border: 1px solid #ccc;
        border-style: dashed;
        border-radius: 6px;
        padding: 15px;
        .label-desc {
            font-weight: bold;
            font-size: 18px;
        }
        .sub-content-container {
            display: flex;
            flex-direction: column;
            .content {
            }

            .button {
                background-color: white;
                border: 1px solid $colorPrimary;
                color: $colorPrimary;
                padding-top: 3px;
                padding-bottom: 3px;
                padding-left: 10px;
                padding-right: 10px;
                border-radius: 6px;
                align-self: flex-end;
                &:hover {
                    background-color: $colorPrimary;
                    color: white;
                }
            }
        }
    }
}
